SDL_PLATFORM_WINDOWS(3)

NAME
SDL_PLATFORM_WINDOWS - A preprocessor macro that is only defined if compiling for Windows.

HEADER FILE
Defined in SDL3/SDL_platform_defines.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_PLATFORM_WINDOWS 1

DESCRIPTION
This also covers several other platforms, like Microsoft GDK, Xbox, WinRT, etc. Each will have their own more-specific platform macros, too.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_PLATFORM_WIN32(3), •(3), SDL_PLATFORM_XBOXONE(3), •(3), SDL_PLATFORM_XBOXSERIES(3), •(3), SDL_PLATFORM_WINGDK(3), •(3), SDL_PLATFORM_GDK(3)